Package wx :: Package lib :: Module docview

[frames | no frames]

## Module wx.lib.docview

Classes
`Command` | wxCommand is a base class for modelling an application command, which is an action usually performed by selecting a menu item, pressing a toolbar button or any other means provided by the application to change the data or view.
`CommandProcessor` | wxCommandProcessor is a class that maintains a history of wxCommands, with undo/redo functionality built-in.
`DocChildFrame` | The wxDocChildFrame class provides a default frame for displaying documents on separate windows.
`DocManager` | The wxDocManager class is part of the document/view framework supported by wxWindows, and cooperates with the wxView, wxDocument and wxDocTemplate classes.
`DocMDIChildFrame` | The wxDocMDIChildFrame class provides a default frame for displaying documents on separate windows.
`DocMDIParentFrame` | The wxDocMDIParentFrame class provides a default top-level frame for applications using the document/view framework.
`DocParentFrame` | The wxDocParentFrame class provides a default top-level frame for applications using the document/view framework.
`DocPrintout` | DocPrintout is a default Printout that prints the first page of a document view.
`DocTemplate` | The wxDocTemplate class is used to model the relationship between a document class and a view class.
`Document` | The document class can be used to model an application's file-based data.
`View` | The view class can be used to model the viewing and editing component of an application's file-based data.

Function Summary
| ``FileExists`(path)` Returns True if the path exists.
| ``FileNameFromPath`(path)` Returns the filename for a full path.
| ``FindExtension`(path)` Returns the extension of a filename for a full path.
| ``PathOnly`(path)` Returns the path of a full path without the filename.

Variable Summary
`int` | `DEFAULT_DOCMAN_FLAGS` = 0
`int` | `DEFAULT_TEMPLATE_FLAGS` = 1
`int` | `DOC_MDI` = 2
`int` | `DOC_NEW` = 4
`int` | `DOC_NO_VIEW` = 32
`int` | `DOC_OPEN_ONCE` = 16
`int` | `DOC_SDI` = 1
`int` | `DOC_SILENT` = 8
`int` | `MAX_FILE_HISTORY` = 9
`int` | `TEMPLATE_INVISIBLE` = 2
`int` | `TEMPLATE_NO_CREATE` = 5
`int` | `TEMPLATE_VISIBLE` = 1

Function Details

### FileExists(path)

Returns True if the path exists.

### FileNameFromPath(path)

Returns the filename for a full path.

### FindExtension(path)

Returns the extension of a filename for a full path.

### PathOnly(path)

Returns the path of a full path without the filename.

Variable Details

### DEFAULT_DOCMAN_FLAGS

  Type:
    `int`
  Value:

        0

### DEFAULT_TEMPLATE_FLAGS

  Type:
    `int`
  Value:

        1

### DOC_MDI

  Type:
    `int`
  Value:

        2

### DOC_NEW

  Type:
    `int`
  Value:

        4

### DOC_NO_VIEW

  Type:
    `int`
  Value:

        32

### DOC_OPEN_ONCE

  Type:
    `int`
  Value:

        16

### DOC_SDI

  Type:
    `int`
  Value:

        1

### DOC_SILENT

  Type:
    `int`
  Value:

        8

### MAX_FILE_HISTORY

  Type:
    `int`
  Value:

        9

### TEMPLATE_INVISIBLE

  Type:
    `int`
  Value:

        2

### TEMPLATE_NO_CREATE

  Type:
    `int`
  Value:

        5

### TEMPLATE_VISIBLE

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:29 2007 | http://epydoc.sf.net